[Unit]
Description=Code Server IDE
After=network.target

[Service]
Type=simple
User=justin
EnvironmentFile=$HOME/.profile
Environment="PASSWORD={{ password }}"
Environment="NODE_EXTRA_CA_CERTS=/etc/ssl/certs/ca-bundle.crt"
WorkingDirectory=$HOME
Restart=on-failure
RestartSec=10

ExecStart=/home/justin/code-server/code-server $(pwd)

StandardOutput=file:/var/log/code-server-output.log
StandardError=file:/var/log/code-server-error.log

[Install]
WantedBy=multi-user.target
